# Interface UrlRepository

All Superinterfaces:
  `Repository`

All Known Implementing Classes:
  `FileRepository`

public interface UrlRepository extends Repository
A repository that can be globally identified by an URL.

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`URL`
`getURL()`
Returns the URL that represents this repository.

### Methods inherited from interface Repository

`getMimeRegistry, getRoot`

## Method Details

### getURL

URL getURL() throws MalformedURLException
Returns the URL that represents this repository. The meaning of the URL returned here is implementation specific and is probably not suitable to resolve names to global objects.

Returns:
  the repository's URL.
Throws:
  `MalformedURLException` - if the URL could not be computed.